---
title: TouchEvent()
slug: Web/API/TouchEvent/TouchEvent
tags:
  - API
  - Constructor
  - DOM
  - Reference
  - events
  - touch
---
<p id="Summary">{{APIRef("DOM Events")}}</p>

<p>The <strong>Touch</strong><strong><code>Event()</code></strong> constructor creates a new {{domxref("TouchEvent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre> <em>event</em> = new TouchEvent(<em>typeArg</em>, <em>touchEventInit</em>);</pre>

<h3 id="Values">Values</h3>

<dl>
	<dt><em>typeArg</em></dt>
	<dd>Is a {{domxref("DOMString")}} representing the name of the event.</dd>
	<dt><em>touchEventInit</em> {{optional_inline}}</dt>
</dl>

<dl>
	<dd>Is a Touch<code>EventInit</code> dictionary, having the following fields:

	<ul>
		<li><code>"touches"</code>, optional and defaulting to <font face="Consolas, Liberation Mono, Courier, monospace">[]</font>, of type <font face="Consolas, Liberation Mono, Courier, monospace">Touch[]</font>, that is a list of objects for every point of contact currently touching the surface.</li>
		<li><code>"targetTouches"</code>, optional and defaulting to <font face="Consolas, Liberation Mono, Courier, monospace">[],</font> of type <font face="Consolas, Liberation Mono, Courier, monospace">Touch[]</font>, that is a list of objects for every point of contact that is touching the surface <em>and</em> started on the element that is the target of the current event.</li>
		<li><code>"changedTouches"</code>, optional and defaulting to <font face="Consolas, Liberation Mono, Courier, monospace">[]</font>, of type <font face="Consolas, Liberation Mono, Courier, monospace">Touch[]</font>, that is a list of objects for every point of contact which contributed to the event.</li>
		<li><code>"ctrlKey"</code>, optional and defaulting to <code>false</code>, of type {{jsxref("Boolean")}}, that indicates if the <kbd>ctrl</kbd> key was simultaneously pressed.</li>
		<li><code>"shiftKey"</code>, optional and defaulting to <code>false</code>, of type {{jsxref("Boolean")}}, that indicates if the <kbd>shift</kbd> key was simultaneously pressed.</li>
		<li><code>"altKey"</code>, optional and defaulting to <code>false</code>, of type {{jsxref("Boolean")}}, that indicates if the <kbd>alt</kbd> key was simultaneously pressed.</li>
		<li><code>"metaKey"</code>, optional and defaulting to <code>false</code>, of type {{jsxref("Boolean")}}, that indicates if the <kbd>meta</kbd> key was simultaneously pressed.</li>
	</ul>

	<p><em>The Touch<code>EventInit</code></em><em> dictionary also accepts fields from {{domxref("UIEvent.UIEvent", "UIEventInit")}} and from {{domxref("Event.Event", "EventInit")}} dictionaries.</em></p>
	</dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TouchEvent.TouchEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{domxref("TouchEvent")}}, the interface of the objects it constructs.</li>
</ul>
